%define		kver	2.6.26-5

Distribution:	CCux
Packager:  	Karsten Brockmann <gotti@ccux-linux.de>

Summary:   	fuse - filesystem in userspace.
Name:      	fuse-userspace
Version:   	2.7.4
Release:   	1
License: 	GNU/GPL
URL:		http://fuse.sourceforge.net/
Group:     	System/Configuration/Hardware

Source0: 	fuse-%{version}.tar.gz
Source1:	fuse-udev.nodes
Source2:	fuse-makedev.d-fuse

Patch0:		fuse-2.7.3-udev-rules.patch
Patch1:		fuse-2.7.3-openfix.patch
Patch2:         fuse-2.7.3-chkconfig.patch

BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildRequires:	kernel-devel = %kver

# Require for rpm lzma compression transition
Requires:        rpm >= 4.4.2.3-1


%description
With FUSE it is possible to implement a fully functional filesystem in a 
userspace program. This package contains the FUSE userspace tools to 
mount a FUSE filesystem.

%package	devel
Summary:        File System in Userspace (FUSE) devel files
Group:          Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires: 	pkgconfig

%description	devel
With FUSE it is possible to implement a fully functional filesystem in a 
userspace program. This package contains development files (headers, 
pgk-config) to develop FUSE based applications/filesystems.

%post
/sbin/MAKEDEV fuse
/sbin/chkconfig --add fuse

%preun
if [ $1 = 0 ]; then
        /sbin/service fuse stop >/dev/null 2>&1
        /sbin/chkconfig --del fuse
fi

%postun
if [ "$1" -ge "1" ]; then
        /sbin/service fuse condrestart >/dev/null 2>&1 || :
fi

%prep
%setup -q -n fuse-%{version}
#disable device creation during build/install
sed -i 's|mknod|echo Disabled: mknod |g' util/Makefile.in
%patch0 -p1 -b .patch0
%patch1 -p1 -b .patch1
%patch2 -p1 -b .patch2

%build
# Can't pass --disable-static here, or else the utils don't build
%configure \
 --disable-kernel-module \
 --libdir=/%{_lib} \
 --bindir=/bin \
 --exec-prefix=/
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name "*.la" -exec rm -f {} ';'
# FIXME change from 60 to 99
install -D -p -m 644 %{SOURCE1} $RPM_BUILD_ROOT/%{_sysconfdir}/udev/makedev.d/99-fuse.nodes
install -D -p -m 644 %{SOURCE2} $RPM_BUILD_ROOT/%{_sysconfdir}/makedev.d/z-fuse
# change from 4755 to 0755 to allow stripping -- fixed later in files
chmod 0755 $RPM_BUILD_ROOT/bin/fusermount
# Put pc file in correct place
mkdir -p $RPM_BUILD_ROOT%{_libdir}
mv $RPM_BUILD_ROOT/%{_lib}/pkgconfig $RPM_BUILD_ROOT%{_libdir}

# Get rid of static libs
rm -f $RPM_BUILD_ROOT/%{_lib}/*.a

# Compatibility symlinks
mkdir -p $RPM_BUILD_ROOT%{_bindir}
cd $RPM_BUILD_ROOT%{_bindir}
ln -s /bin/fusermount fusermount
ln -s /bin/ulockmgr_server ulockmgr_server

%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING FAQ Filesystems NEWS README README.NFS
%config %{_sysconfdir}/udev/rules.d/99-fuse.rules
%config %{_sysconfdir}/udev/makedev.d/99-fuse.nodes
/sbin/mount.fuse
%attr(4755,root,root) /bin/fusermount
/bin/ulockmgr_server
%_sysconfdir/init.d/fuse
%_sysconfdir/makedev.d/z-fuse
%_bindir/fusermount
%_bindir/ulockmgr_server
/%_lib/libfuse.so.*
/%_lib/libulockmgr.so.*

%files devel
%defattr(-,root,root,-)
/%_lib/libfuse.so
/%_lib/libulockmgr.so
%_pkgconfig
%_includedir

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sat Jul 26 2008 Karsten Brockmann <arcam@ccux-linux.de> 2.7.4-1
- version update
* Thu May 01 2008 Christian Wasem <wasem@ccux-linux.de> 2.7.3-4
- fixed dependency
* Thu May 01 2008 Christian Wasem <wasem@ccux-linux.de> 2.7.3-3
- fixed chkconfig support
* Mon Apr 28 2008 Christian Wasem <wasem@ccux-linux.de> 2.7.3-2
- Kernel 2.6.25-3
* Sat Mar 15 2008 Karsten Brockmann <arcam@ccux-linux.de> 2.7.3-1
- version update
- kernel 2.6.24-10
* Sun Nov 25 2007 Karsten Brockmann <arcam@ccux-linux.de> 2.7.1-2
- kernel 2.6.24-1
* Tue Oct 30 2007 Christian Metzen <metzench@ccux-linux.de> 2.7.1-1
- Version update
* Sat Jun 23 2007 Karsten Brockmann <arcam@ccux-linux.de> 2.6.5-1
- version update
* Fri Apr 27 2007 Karsten Brockmann <arcam@ccux-linux.de> 2.6.4-1
- version update
* Sat Mar 24 2007 Stefan Gottwald <gotti@ccux-linux.de> 2.6.3-3
- fixed post install skript
* Tue Mar 20 2007 Stefan Gottwald <gotti@ccux-linux.de> 2.6.3-2
- changed init skript to support chkconfig
* Mon Feb 19 2007 Stefan Gottwald <gotti@ccux-linux.de> 2.6.3-1
- version update
* Sat Jan 13 2007 Christian Metzen <metzench@ccux-linux.de> 2.6.1-2
- Kernel 2.6.19-6
* Wed Dec 20 2006 Karsten Brockmann <arcam@ccux-linux.de> 2.6.1-1
- Version update
- Kernel 2.6.19-4
* Sun Oct 28 2006 Karsten Brockmann <arcam@ccux-linux.de> 2.6.0-4
- Kernel 2.6.18-4
* Thu Oct 26 2006 Karsten Brockmann <arcam@ccux-linux.de> 2.6.0-3
- Kernel 2.6.18-3
* Mon Oct 23 2006 Karsten Brockmann <arcam@ccux-linux.de> 2.6.0-2
- fixed fileconflict
* Mon Oct 23 2006 Karsten Brockmann <arcam@ccux-linux.de> 2.6.0-1
- Version update
- Kernel 2.6.18-2
* Sun Oct 01 2006 Karsten Brockmann <arcam@ccux-linux.de> 2.5.3-3
- Kernel 2.6.18-1
* Tue Aug 29 2006 Karsten Brockmann <arcam@ccux-linux.de> 2.5.3-2
- Kernel 2.6.17-3
* Wed Aug 09 2006 Karsten Brockmann <arcam@ccux-linux.de> 2.5.3-1
- Version Update, Kernel 2.6.17-2
* Sun Feb 12 2006 Stefan Gottwald <gotti@ccux-linux.de> 2.5.1-2
- Fix udev permission error
* Mon Feb 06 2006 Stefan Gottwald <gotti@ccux-linux.de> 2.5.1-1
- renamed to fuse-userspace
* Sun Jan 29 2006 Stefan Gottwald <gotti@ccux-linux.de> 2.5.1-1
- Version Update
* Thu Oct 13 2005 Christian Metzen <metzench@ccux-linux.de> 2.3.0-8
- Kernel 2.6.13-8
* Thu Oct 13 2005 Christian Metzen <metzench@ccux-linux.de> 2.3.0-7
- Kernel 2.6.13-7
* Sat Sep 24 2005 Christian Metzen <metzench@ccux-linux.de> 2.3.0-6
- Kernel 2.6.13-5
* Sat Sep 17 2005 Christian Metzen <metzench@ccux-linux.de> 2.3.0-5
- Kernel 2.6.13-4
* Tue Sep 06 2005 Christian Metzen <metzench@ccux-linux.de> 2.3.0-4
- Kernel 2.6.13-3
* Sat Sep 03 2005 Christian Metzen <metzench@ccux-linux.de> 2.3.0-3
- Kernel 2.6.13-1
* Thu Aug 18 2005 Christian Metzen <metzench@ccux-linux.de> 2.3.0-2
- Rebuild against newest Kernel, refined dependencies
* Thu Aug 04 2005 Karsten Brockmann <arcam@ccux-linux.de> 2.3.0-1
- Initial Release
